Change.2026.11.03

What's New


POST /api/cps/calls/{callId}/stop

Stop call processing

POST /api/cps/calls/{callId}/startOperation

Start call operation

POST /api/cps/calls/{callId}/status

Update call status

POST /api/cps/calls/{callId}/attributes

Update call attributes

POST /api/cps/calls/{callId}/stopOperation

Stop call operation

POST /api/cps/calls/{callId}/start

Start call processing

POST /api/cps/calls/{callId}/add

Add call

POST /api/cps/calls/{callId}/terminate

Terminate call processing

POST /api/cps/calls/{callId}/chunks

Publish audio chunks

DELETE /api/cps/calls/{callId}/force

Force delete call

GET /api/cps/calls/{callId}

Get call data

DELETE /api/cps/calls/{callId}

Delete call

GET /api/audio-dock/executions/{id}

Get audio source execution

POST /api/audio-dock/sources/{sourceName}/announcements

Announce audio source

GET /api/audio-dock/sources

List audio sources

GET /tenants/{tenant}/info

Get tenant info

POST /api/audio-dock/sources/{sourceName}/executions

Execute audio source

POST /tenants/{tenant}/sources

Add audio source

GET /api/audio-dock/sources/{sourceName}/download

Download audio file contents

GET /api/audio-dock/sources/{sourceName}/upload

Upload audio file contents

GET /tenants/{tenant}/sources/{sourceName}

Get audio source

POST /tenants/{tenant}/sources/{sourceName}

Update audio source

DELETE /tenants/{tenant}/sources/{sourceName}

Delete audio source

What's Changed


GET /api/watchlist-manager/watchlists/{watchlistId}
Return Type:

Changed response : 200 OK

Watchlist retrieved successfully

  • Changed content type : application/json

    • Added property _links (object)

      Navigation links for related resources

    • Added property settings (object)

      Custom watchlist settings as key-value pairs. Only set at creation time and cannot be changed afterwards; for ONLINE_VOICEV5 watchlists, any keys not explicitly provided at creation are populated with their default value (see the create watchlist request for the full list of allowed keys, their allowed values, and their defaults).

    • Changed property type (object)

      Type of entries stored in this watchlist

      Added enum value:

      • onlineVoiceV5

POST /api/watchlist-manager/watchlists/{watchlistId}
Request:

Changed content type : application/json

  • Added property settings (object)

    Partial watchlist settings update. Supported keys and validation rules depend on the watchlist type.

Return Type:

Changed response : 200 OK

Watchlist updated successfully

  • Changed content type : application/json

    • Added property _links (object)

      Navigation links for related resources

    • Added property settings (object)

      Custom watchlist settings as key-value pairs. Only set at creation time and cannot be changed afterwards; for ONLINE_VOICEV5 watchlists, any keys not explicitly provided at creation are populated with their default value (see the create watchlist request for the full list of allowed keys, their allowed values, and their defaults).

    • Changed property type (object)

      Type of entries stored in this watchlist

      Added enum value:

      • onlineVoiceV5

GET /api/watchlist-manager/watchlists
Return Type:

Changed response : 200 OK

Watchlists retrieved successfully

  • Changed content type : application/json

    • Added property _links (object)

      Navigation links for related resources

    • Added property settings (object)

      Custom watchlist settings as key-value pairs. Only set at creation time and cannot be changed afterwards; for ONLINE_VOICEV5 watchlists, any keys not explicitly provided at creation are populated with their default value (see the create watchlist request for the full list of allowed keys, their allowed values, and their defaults).

    • Changed property type (object)

      Type of entries stored in this watchlist

      Added enum value:

      • onlineVoiceV5

POST /api/watchlist-manager/watchlists
Request:

Changed content type : application/json

  • Added property settings (object)

    Optional type-specific watchlist settings as key-value pairs. Supported keys and validation rules depend on the watchlist type. Omitted settings use configured defaults.

  • Changed property type (object)

    Type of entries this watchlist will contain

    Added enum value:

    • onlineVoiceV5

Return Type:

Changed response : 201 Created

Watchlist created successfully

  • Changed content type : application/json

    • Added property _links (object)

      Navigation links for related resources

    • Added property settings (object)

      Custom watchlist settings as key-value pairs. Only set at creation time and cannot be changed afterwards; for ONLINE_VOICEV5 watchlists, any keys not explicitly provided at creation are populated with their default value (see the create watchlist request for the full list of allowed keys, their allowed values, and their defaults).

    • Changed property type (object)

      Type of entries stored in this watchlist

      Added enum value:

      • onlineVoiceV5

GET /api/watchlist-manager/facewatchlists/{watchlistId}
Return Type:

Changed response : 200 OK

OK

  • Changed content type : */*

    • Added property settings (object)

    • Changed property type (object)

      Added enum value:

      • onlineVoiceV5

POST /api/watchlist-manager/facewatchlists/{watchlistId}
Return Type:

Changed response : 200 OK

OK

  • Changed content type : */*

    • Added property settings (object)

    • Changed property type (object)

      Added enum value:

      • onlineVoiceV5

POST /api/watchlist-manager/watchlists/{watchlistId}/queries
Return Type:

Changed response : 200 OK

Query executed successfully

  • Changed content type : application/json

    • Changed property type (object)

      Type of query response (matches the watchlist type)

      Added enum value:

      • onlineVoiceV5

GET /api/metrics-server/auditMessages/queries/{executionId}/result
POST /api/watchlist-manager/facewatchlists
Request:

Changed content type : application/json

  • Added property settings (object)

  • Changed property type (object)

    Added enum value:

    • onlineVoiceV5

Return Type:

Changed response : 201 Created

Created

  • Changed content type : */*

    • Added property settings (object)

    • Changed property type (object)

      Added enum value:

      • onlineVoiceV5

GET /api/watchlist-manager/trends/{id}
Return Type:

Changed response : 200 OK

Trend record retrieved successfully

  • Changed content type : application/json

    • Added property _links (object)

      Navigation links for related resources

GET /api/watchlist-manager/watchlists/{watchlistId}/entries/{entryId}
Return Type:

Changed response : 200 OK

Watchlist entry retrieved successfully

  • Changed content type : application/json

    • Added property _links (object)

      Navigation links for related resources

    • Changed property type (object)

      Type of the entry (determines which specific fields are available)

      Added enum value:

      • onlineVoiceV5

GET /api/watchlist-manager/watchlists/{watchlistId}/entries
Parameters:

Changed: valueLike in query

Filter entries by value containing this text (case-insensitive partial match). For facev6 watchlists, matches against the entry's full name. For onlineVoiceV5 watchlists, matches against the entry's callerId.

Return Type:

Changed response : 200 OK

Watchlist entries retrieved successfully

  • Changed content type : application/json

    • Added property _links (object)

      Navigation links for related resources

    • Changed property type (object)

      Type of the entry (determines which specific fields are available)

      Added enum value:

      • onlineVoiceV5

POST /api/watchlist-manager/watchlists/{watchlistId}/entries
Return Type:

Changed response : 201 Created

Watchlist entry created successfully

  • Changed content type : application/json

    • Added property _links (object)

      Navigation links for related resources

    • Changed property type (object)

      Type of the entry (determines which specific fields are available)

      Added enum value:

      • onlineVoiceV5